Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class DestinationSettings

    java.lang.Object
      org.hornetq.rest.queue.DestinationSettings

Direct Known Subclasses:
  QueueDeployment, TopicDeployment

    public class DestinationSettings

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`static DestinationSettings` | `defaultSettings`
`protected boolean` | `duplicatesAllowed`

Constructor Summary
`DestinationSettings()`

Method Summary
`int` | `getConsumerSessionTimeoutSeconds()`
`boolean` | `isDuplicatesAllowed()`
`boolean` | `isDurableSend()`
`void` | `setConsumerSessionTimeoutSeconds(int consumerSessionTimeoutSeconds)`
`void` | `setDuplicatesAllowed(boolean duplicatesAllowed)`
`void` | `setDurableSend(boolean durableSend)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### duplicatesAllowed

    protected boolean duplicatesAllowed

### defaultSettings

    public static final DestinationSettings defaultSettings

Constructor Detail

### DestinationSettings

    public DestinationSettings()

Method Detail

### isDuplicatesAllowed

    public boolean isDuplicatesAllowed()

### setDuplicatesAllowed

    public void setDuplicatesAllowed(boolean duplicatesAllowed)

### getConsumerSessionTimeoutSeconds

    public int getConsumerSessionTimeoutSeconds()

### setConsumerSessionTimeoutSeconds

    public void setConsumerSessionTimeoutSeconds(int consumerSessionTimeoutSeconds)

### isDurableSend

    public boolean isDurableSend()

### setDurableSend

    public void setDurableSend(boolean durableSend)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.